{
  "/v1/access_group": {
    "get": {
      "tags": [
        "access group management"
      ],
      "summary": "List Access Groups",
      "operationId": "list_access_groups_v1_access_group_get",
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "items": {
                  "$ref": "#/components/schemas/AccessGroupResponse"
                },
                "type": "array",
                "title": "Response List Access Groups V1 Access Group Get"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    },
    "post": {
      "tags": [
        "access group management"
      ],
      "summary": "Create Access Group",
      "operationId": "create_access_group_v1_access_group_post",
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/AccessGroupCreateRequest"
            }
          }
        },
        "required": true
      },
      "responses": {
        "201": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AccessGroupResponse"
              }
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  },
  "/v1/access_group/{access_group_id}": {
    "get": {
      "tags": [
        "access group management"
      ],
      "summary": "Get Access Group",
      "operationId": "get_access_group_v1_access_group__access_group_id__get",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "access_group_id",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Access Group Id"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AccessGroupResponse"
              }
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "put": {
      "tags": [
        "access group management"
      ],
      "summary": "Update Access Group",
      "operationId": "update_access_group_v1_access_group__access_group_id__put",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "access_group_id",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Access Group Id"
          }
        }
      ],
      "requestBody": {
        "required": true,
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/AccessGroupUpdateRequest"
            }
          }
        }
      },
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AccessGroupResponse"
              }
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "delete": {
      "tags": [
        "access group management"
      ],
      "summary": "Delete Access Group",
      "operationId": "delete_access_group_v1_access_group__access_group_id__delete",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "access_group_id",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Access Group Id"
          }
        }
      ],
      "responses": {
        "204": {
          "description": "Successful Response"
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  }
}